<h1><?= P_BLOG_VERSION ?> マニュアル</h1>
<hr />
<p class="flip-menu">
<a href="./index.php">TOP</a> <a href="./index.php?id=ja_00">索引</a> <span class="cur-tab">使用法</span>
</p>
<hr />
<h2>使用法</h2>
<h3 id="post_comment">ログをポストする</h3>
<p>管理者ページにアクセスし、アカウントマネージャーで作成した書き込みユーザー名とパスワードでログインします。ログインが成功したら、準備OKです。投稿ページでは、3つのテキスト入力欄が表示されます。これらの入力欄に記述したものは全てMySQLデータベースに格納され、キーワード検索の対象にすることが出来ます。</p>
<ol>
<li><strong>タイトル欄</strong><p>ここで書いたものがログのタイトル部分になります。 </p></li>
<li><strong>URI(URL) 欄</strong><p>ここで書いたリンクが上のタイトル欄を内包するリンクタグになります。ブックマーク的にリンクを張りたい場合に使います。タイトルをリンクさせたくない場合は、そのまま「http://」にしておいて下さい。</p></li>
<li><strong>カテゴリー欄</strong>
<p>P_BLOGは「マルチカテゴライズ可」のカテゴリー機能を持っています。複数のカテゴリーに登録する場合はカンマ区切り(スペースなし)で登録します。</p>
<p><span class="red">書き方の例：</span></p>
<div class="command">
PHP,MySQL,Web Develop,Web開発
</div>
<p>このように登録すると、同一記事を、「PHP」「MySQL」「Web Develop」「Web開発」のそれぞれのカテゴリーから呼び出せるようになります。</p>
</li>

<li><strong>コメント欄</strong><br />
<p>コメント欄にはデフォルトで<span class="blue">&lt;p&gt;&lt;/p&gt;</span>タグが書かれています。<span class="blue">&lt;p&gt;</span>は「Paragraph」の頭文字で、「段落」を意味します。これを使わなくてもポストは可能ですが、論理的にも見た目にも奇麗なXHTMLを出力するために、コメントは<span class="blue">&lt;p&gt;&lt;/p&gt;</span>タグ内に書くのが推奨です。段落の空白を作るために連続した<span class="blue">&lt;br /&gt;</span>タグを使用するのは避けましょう。</p>
<p><span class="red">模範的な書き方の例：</span></p>
<div class="command">
<span class="blue">&lt;p&gt;</span>コメントをこのように書きます。<span class="blue">&lt;/p&gt;</span><br />
<span class="blue">&lt;p&gt;</span>パラグラフ(段落)が変わったらこのように追加の&lt;p&gt;タグ内に書いて行きます。<span class="blue">&lt;/p&gt;</span><br />
</div>
<p><span class="red">推奨されない書き方の例：</span></p>
<div class="command">
コメントをこのように書きます。<span class="blue">&lt;br /&gt;</span><br />
<span class="blue">&lt;br /&gt;</span><br />
<span class="blue">&lt;br /&gt;</span><br />
パラグラフ風な空行を実現するためにこのように<span class="blie">&lt;br /&gt;</span>を連打するのはあまりお勧めしません。
</div>
<p>&lt;p&gt;を使うと、CSSオフでも奇麗で読みやすいXHTMLでレンダリングされます。</p>
<p>基本的にP_BLOGはXHTMLをハンドコーディング(手打ち)する人・出来る人、少なくともHTMLの基本が分かる人・全く分からないが多少のタグなら覚える気がある人をユーザーとして想定して開発していますので、コメント部分のタグの自動置換処理などは行いません。そういうコンセプトですが、やはりタグ打ちは面倒です。そこで、面倒なタグ入力の労力を極力減らすため、タグボタンを設けています。クリックするだけでタグがコメント欄に書き出されます。</p>
<p>他のサイトの記事を引用する場合は<span class="blue">&lt;blockquote&gt;</span>タグを使います。<span class="blue">&lt;blockquote&gt;</span>タグ内の<span class="blue">cite</span>属性で元記事のURIを指定しておくとこのような↓</p>
<img src="./contents/resources/auto_cite.png" width="200" height="88" alt="cite" />
<p>引用元へのリンクが自動的に生成されるようになっています。</p>
</li>
<li><strong>添付画像をアップロード</strong><br />
<p>ファイル選択フォームでは、ログと一緒に画像などのバイナリファイルをアップロード出来ます。アップロードされたファイルは全て <span class="red">"resources"</span> フォルダに格納されます。(このフォームでアップロードするファイルはMySQLには格納されません) <br />
ファイルへのパスを書く場合のためにアップロードディレクトリのパスを覚えておいて下さい。</p>
<p><span class="red">画像パスの書き方の例：</span></p>
<div class="command">
<code>
&lt;img src="<span class="red">./resources</span>/my_image.png" width="100" height="20" alt="Image" /&gt;
</code>
</div>
<p>アップロード可能な画像数は<span class="blue">user_config.inc.php</span>ファイルでの設定によりいくつまでも自由に増減出来ます。(デフォルトは3です)</p>
</li>
</ol>
<h3>ログをポストする(2)</h3>
<p>P_BLOGはクロスプラットフォームなのでクライアント側の使用OSは問いませんが、もしあなたがMac OS Xユーザーでしたら、P_BLOGにログをポストできるCocoaアプリ、</p>
<p><a href="http://hetima.com/soft/p_bog_agent.html"><strong>P_BLOG Agent</strong></a></p>
<p>も使用出来ます。毎回のパスワード入力の省略、複数ログの編集、ドラッグ&amp;ドロップによる画像やファイルの自動タグ作成など、デスクトップアプリならではの使い心地でとても便利です。</p>

<h3 id="upload_files">バイナリデータをMySQLにアップロード</h3>
<p>この機能が他のWeblogシステムとちょっと違う点です。この機能を使って、イメージファイル、テキスト、html、PDF、フォトショップのPSDフォーマット、 .movなどのムービーファイル、100MB以上の比較的大きなファイル、などなど、とにかく(MySQLが扱える)バイナリファイルならなんでも、MySQLに放り込むことが出来ます。アップロードしたファイルは自動的にリンクが張られますので、全てクリックでダウンロード可能になります。</p>
<p>バイナリアップローダ・ダウンローダとしての使い道以外に、バイナリデータにリンクを張ってメインのBlogのページから参照することが出来ます。ファイルは全てidで管理していますので、リンクタグでデータを呼び出すには <span class="red">bin.php?id=FILE ID</span>というコードを使用します。例えば、ファイルのidが<span class="red">123</span>で<span class="red">foo.pdf</span>というファイルへのアンカータグを書きたい場合はこのようになります:</p>
<div class="command">
<span class="blue">&lt;a href="</span><span class="red">./bin.php?id=123</span><span class="blue">"&gt;</span><span class="green">foo.pdf</span><span class="blue">&lt;a&gt;</span>
</div>
<p>結果はヘッダがブラウザに送られますので、HTMLファイルなどはそのまま通常のHTMLとして表示されます。</p>

<h3 id="access_analyze">アクセス解析で来訪者をチェック</h3>
<p>アクセス解析ソフト「P_ANAMA」を使って、簡単なアクセス解析が出来ます。「P_ANAMA」とは <span class="red">P</span>HP, <span class="red">Ana</span>lyze, <span class="red">M</span>ySQLの頭文字から取ったものです。最後の<span class="red">A</span>は意味はありません。単に作者が、好きな曲の一つであるVAN HALENの「PANAMA」をもじったネーミングがしたかっただけです。</p>
<p>アクセス解析の使用には別途設定をする必要はありません。<span class="red">user_config.inc.php</span> の設定を済ませていれば、何もすることなく使える状態になっているはずです。</p>

<hr />