<h1><?= P_BLOG_VERSION ?> マニュアル</h1>
<hr />
<p class="flip-menu">
<a href="./index.php">TOP</a> <a href="./index.php?id=ja_00">索引</a> <span class="cur-tab">「VARS」ページのカスタマイズ</span></p>
<hr />
<h2>「VARS」ページのカスタマイズ</h2>
<h3>「VARS」ページとは</h3>
<p>メニューの「VARS」コーナーは、「VARIABLE(自由・可変の)」ページです。使用目的によってコンテンツを自由に拡張・追加・カスタマイズするためのページです。コンテンツの「ABOUT」ページやヘルプページ、リンクページ、その他、データベースを使わずファイルで管理したいコンテンツ部分に利用出来ます。</p>
<h3>「var/index.php」のしくみ</h3>
<p>「var/index.php」は、「contents」ディレクトリに入っているテキストファイルやPHPファイルを読み込んでコンテンツ部分に表示するPHPプログラムです。サンプルとして「contents」内にはいくつかファイルが入っているので覗いてみて下さい。</p>
<div class="command">
<pre><span class="blue">階層の例↓

var/index.php
   /contents/foo.inc.php
            /foo.txt
            /foo.php
            /foo.inc
            /default.inc.php</span></pre>
</div>
<p>読み込めるファイルは、以下の形式です。(優先順位順)</p>
<ol>
<li>拡張子が<span class="red"><strong>「.inc.php」</strong></span>となっているPHPプログラム</li>
<li>拡張子が<span class="red"><strong>「.php」</strong></span>となっているPHPプログラム</li>
<li>拡張子が<span class="red"><strong>「.inc」</strong></span>となっているインクルードファイル</li>
<li>拡張子が<span class="red"><strong>「.html」</strong></span>となっているhtmlファイル<br />
(<span class="red">注：ヘッダ部とフッタ部は取り除く</span>)</li>
<li>拡張子が<span class="red"><strong>「.txt」</strong></span>となっているテキストファイル</li>
</ol>
<p>の5種類です。このような自作のテキストやPHPを追加して、コンテンツを追加出来ます。それぞれの使い分けは、</p>
<h4>普通の整形済みテキストファイルを使う場合:</h4>
<ul>
<li>foo.txt</li>
</ul>
<h4>XHTMLタグでマークアップしたファイルを使う場合:</h4>
<ul>
<li>foo.inc</li>
<li>foo.html</li>
</ul>
<h4>実行可能なPHPファイルを使う場合:</h4>
<ul>
<li>foo.inc.php</li>
<li>foo.php</li>
<li>foo.inc</li>
</ul>
<p>...といった具合に使用して下さい。</p>
<p>デフォルトでは「<strong>var/index.php</strong>」にアクセスすると</p>
<ol>
<li><span class="red"><strong>「default.inc.php」</strong></span></li>
<li><span class="red"><strong>「default.php」</strong></span></li>
<li><span class="red"><strong>「default.inc」</strong></span></li>
<li><span class="red"><strong>「default.html」</strong></span></li>
<li><span class="red"><strong>「default.txt」</strong></span></li>
</ol>
<p>の順でデフォルト用のファイルを探して読みにいきます。サンプルとして「<span class="blue"><strong>default.inc.php</strong></span>」というファイル名の、あなたのP_BLOGが稼働しているシステムの情報を表示するPHPプログラムを入れてあります。オリジナルと差し替えるときは</p>
<ol>
<li>default.inc.php</li>
<li>default.php</li>
<li>default.inc</li>
<li>default.html</li>
<li>default.txt</li>
</ol>
<p>のいずれか一つを配置して下さい。</p>

<h3>使用例</h3>
<p>このマニュアルページ自体も、使用例です。このページのアドレスを見ると、</p>
<div class="command">
..../var/index.php?id=<span class="red">manual_ja</span>
</div>
<p>となっていると思います。このマニュアルファイルの実体は、</p>
<p><strong>「contents」</strong>フォルダにある<strong>「manual_ja.inc」</strong>というテキストファイル</p>
<p>です。つまり、拡張子「.txt」や「.inc」、「.inc.php」を除いたファイル名の部分がパラメータとなって、idで呼ばれるようになっています。</p>
<p>手始めに、適当なテキストファイルに適当な文字、あるいは簡単にXHTMLタグを使ってマークアップした文書を書いてみて下さい。コンテンツ部分だけを記述するので、コーディングの際はヘッダ部分やフッタ部分は必要ありません。コンテンツ部に使うタグのみで、例えば通常のHTMLでしたら</p>
<div class="command">
<code>
<span class="blue">&lt;h1&gt;</span>タイトル<span class="blue">&lt;/h1&gt;</span><br />
<span class="blue">&lt;h2&gt;</span>サブタイトル<span class="blue">&lt;/h2&gt;</span><br />
<span class="blue">&lt;p&gt;</span>コンテンツ。<span class="blue">&lt;br /&gt;</span><br />
改行してまたコンテンツ。<span class="blue">&lt;/p&gt;</span>
</code>
</div>
<p>整形済みテキスト形式を使いたい場合は、</p>
<div class="command">
<span class="blue">&lt;pre&gt;</span>
<pre>
body{
    color:#000000;
    background:#ffffff;
    font-size:12pt;
}
</pre>
<span class="blue">&lt;/pre&gt;</span>
</div>
<p>等のような感じでシンプルにマークアップします。</p>

<p>書き終わったら適当なファイル名をつけ、拡張子を「.inc」にして「contents」フォルダに放り込んで下さい。そしてブラウザから</p>
<div class="command">
..../var/index.php?id=<span class="red">あなたのつけたファイル名</span>
</div>
<p>と、拡張子部分を抜いたファイル名をidで指定してアクセスすれば、このP_BLOGのコンテンツ部分にあなたの書いた文書が表示されるはずです。当然、ファイル名を日付けで管理したい場合も同様に行えます。例えば<span class="blue">「20031103」</span>という日付けをファイル名にしたい場合、ファイル名に拡張子を加えた<span class="blue">「20031103.inc」</span>とし「contents」に配置、アドレスを</p>
<div class="command">
..../var/index.php?id=<span class="red">20031103</span>
</div>
<p>と指定すればOKです。</p>
<h4><span class="red">.txtファイル使用上の注意</span></h4>
<p>拡張子が「<span class="red">.txt</span>」になっているテキストファイルは全て<span class="blue">&lt;pre&gt;</span>で括られ、整形済みテキストフォーマットとして扱われます(改行コードやスペースなどの表示がそのまま適用されます)。</p>
<hr />

<h2>F.A.Q</h2>
<h3>Q1: 「VARS」ディレクトリ下にさらに「VARS」ディレクトリを作れますか?</h3>
<h4>A1: 簡単に作れます。</h4>
<p>「VARS」を拡張してコンテンツ別に分けてディレクトリを作って整理したり、親ディレクトリの下にさらに子ディレクトリを作りたい場合、以下のようにします。</p>
<ol>
<li>「vars-sample」というサンプルディレクトリが「var」ディレクトリに入っていますので、複製します。</li>
<li>「index.php」をテキストエディタで開き、「USER CONFIG」部分を編集し、ホームディレクトリからの階層レベルや、付けたいタイトル、ディレクトリ名などを記述します。</li>
<li>以上です。</li>
</ol>
<hr />